Splash stranice
GET https://tistos.com/api/splash-pages/
curl --request GET \
--url 'https://tistos.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Детаљи | Опис |
|---|---|---|
| search | Opcionalno Низ | Pretraživački niz. |
| search_by | Opcionalno Низ | Koje polje pretražujete. Dozvoljene vrednosti su: name. |
| datetime_field | Opcionalno Низ | Dozvoljene vrednosti: datetime, last_datetime |
| datetime_start | Opcionalno Низ | Филтрирајте резултате почев од овог датума и времена. Формат Y-m-d H:i:s. |
| datetime_end | Opcionalno Низ | Филтрирајте резултате до овог датума и времена. Формат Y-m-d H:i:s. |
| order_by | Opcionalno Низ | Koje polje da se koristi za sortiranje rezultata. Dozvoljene vrednosti su: splash_page_id, datetime, last_datetime, name. |
| order_type | Opcionalno Низ | Redosled rezultata. Dozvoljene vrednosti su: ASC za uzlazno sortiranje, i DESC za silazno sortiranje. |
| page | Opcionalno Ceo broj | Број странице за коју желите резултате. Подразумевано је 1. |
| results_per_page | Opcionalno Ceo broj | Колико резултата желите по страници. Дозвољене вредности су: 10, 25, 50, 100, 250, 500, 1000. Подразумевано је 25. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-18 15:19:25",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/projects?page=1",
"last": "https://tistos.com/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/projects?page=1"
}
}
GET https://tistos.com/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-18 15:19:25",
}
}
POST https://tistos.com/api/projects
| Parametri | Детаљи | Опис |
|---|---|---|
| name | Obavezno Низ | - |
| title | Opcionalno Низ | - |
| logo | Opcionalno Датотека | - |
| favicon | Opcionalno Датотека | - |
| opengraph | Opcionalno Датотека | - |
| description | Opcionalno Низ | - |
| secondary_button_name | Opcionalno Низ | - |
| secondary_button_url | Opcionalno Низ | - |
| custom_css | Opcionalno Низ | - |
| custom_js | Opcionalno Низ | - |
| ads_header | Opcionalno Низ | - |
| ads_footer | Opcionalno Низ | - |
| link_unlock_seconds | Opcionalno Ceo broj | - |
| auto_redirect | Opcionalno Boolean | - |
curl --request POST \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/splash-pages/{splash_page_id}
| Parametri | Детаљи | Опис |
|---|---|---|
| name | Opcionalno Низ | - |
| title | Opcionalno Низ | - |
| logo | Opcionalno Датотека | - |
| favicon | Opcionalno Датотека | - |
| opengraph | Opcionalno Датотека | - |
| description | Opcionalno Низ | - |
| secondary_button_name | Opcionalno Низ | - |
| secondary_button_url | Opcionalno Низ | - |
| custom_css | Opcionalno Низ | - |
| custom_js | Opcionalno Низ | - |
| ads_header | Opcionalno Низ | - |
| ads_footer | Opcionalno Низ | - |
| link_unlock_seconds | Opcionalno Ceo broj | - |
| auto_redirect | Opcionalno Boolean | - |
curl --request POST \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \